## tinyxml2 0~git20120518.1.a2ae54e

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6 FATAL_ERROR)
cmake_policy(VERSION 2.6)

project(tinyxml2)
#enable_testing()

#CMAKE_BUILD_TOOL

################################
# Add common source 

include_directories("${CMAKE_CURRENT_SOURCE_DIR}/.")

################################
# Add custom target to copy all data

set(TARGET_DATA_COPY DATA_COPY)
if(${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_BINARY_DIR})
	add_custom_target(
		${TARGET_DATA_COPY}
	 	COMMAND ${CMAKE_COMMAND} -E echo "In source build")
else(${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_BINARY_DIR})
	make_directory(${CMAKE_CURRENT_BINARY_DIR}/resources/)
	add_custom_target(
		${TARGET_DATA_COPY}
		COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/resources/dream.xml ${CMAKE_CURRENT_BINARY_DIR}/resources/
		COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/resources/utf8test.xml ${CMAKE_CURRENT_BINARY_DIR}/resources/
		COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/resources/utf8testverify.xml ${CMAKE_CURRENT_BINARY_DIR}/resources/)
endif(${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_BINARY_DIR})

################################
# Add definitions

if(MSVC)
	add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif(MSVC)

################################
# Add targets

add_library(tinyxml2 STATIC tinyxml2.cpp tinyxml2.h)

add_executable(test xmltest.cpp)
add_dependencies(test tinyxml2)
add_dependencies(test ${TARGET_DATA_COPY})
target_link_libraries(test tinyxml2)
#add_test(test ${SAMPLE_NAME} COMMAND $<TARGET_FILE:${SAMPLE_NAME}>)

=== Makefile ===
all: xmltest
xmltest: xmltest.cpp tinyxml2.cpp tinyxml2.h
clean:
	rm -f *.o xmltest

=== debian/changelog ===
tinyxml2 (0~git20120518.1.a2ae54e-1) unstable; urgency=low

  * Initial release (Closes: #674074)

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 23 May 2012 02:54:30 +0800

=== debian/control ===
Source: tinyxml2
Priority: extra
Maintainer: Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               cmake
Standards-Version: 3.9.3
Section: libs
Homepage: http://www.grinninglizard.com/tinyxml2/
Vcs-Git: git://git.debian.org/collab-maint/tinyxml2.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/tinyxml2.git;a=summary

Package: libtinyxml2-dev
Section: libdevel
Architecture: any
Depends: libtinyxml2-0.0.0 (= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: TinyXML2 library - header and static library
 This package contains the header file and a static version of the
 TinyXML2 library.
 .
 TinyXML2 is a simple and small C++ XML parser that can be easily integrating
 into other programs. It reads XML and creates C++ objects representing the XML
 document. The objects can be manipulated, changed, and saved again as XML.
 .
 TinyXML2 supersedes the previous TinyXML library, with various improvements:
  - Fewer memory allocations (1% - 10% compared to TinyXML)
  - Uses less memory (about 40% of that used by TinyXML)
  - Faster
  - No STL requirement
  - More modern C++, including a proper namespace
  - Proper and useful handling of whitespace

Package: libtinyxml2-0.0.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: C++ XML parsing library
 This package contains the shared version of the TinyXML2 library.
 .
 TinyXML2 is a simple and small C++ XML parser that can be easily integrating
 into other programs. It reads XML and creates C++ objects representing the XML
 document. The objects can be manipulated, changed, and saved again as XML.
 .
 TinyXML2 supersedes the previous TinyXML library, with various improvements:
  - Fewer memory allocations (1% - 10% compared to TinyXML)
  - Uses less memory (about 40% of that used by TinyXML)
  - Faster
  - No STL requirement
  - More modern C++, including a proper namespace
  - Proper and useful handling of whitespace

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

override_dh_auto_configure:
	dh_auto_configure -Bbuild --					\
		-DBUILD_SHARED_LIBS=ON					\
		-DBUILD_STATIC_LIBS=ON					\
		-DCMAKE_INSTALL_LIBDIR:PATH=lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	dh_auto_build -Bbuild

override_dh_auto_install:
	dh_auto_install -Bbuild

override_dh_auto_clean:
	rm -rf build

%:
	dh $@

## tinyxml2 2.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,17 @@
 cmake_policy(VERSION 2.6)
 
 project(tinyxml2)
+include(GNUInstallDirs)
 #enable_testing()
 
 #CMAKE_BUILD_TOOL
+
+################################
+# set lib version here
+
+set(GENERIC_LIB_VERSION "2.0.2")
+set(GENERIC_LIB_SOVERSION "2")
+
 
 ################################
 # Add common source 
@@ -24,6 +32,7 @@
 	add_custom_target(
 		${TARGET_DATA_COPY}
 		COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/resources/dream.xml ${CMAKE_CURRENT_BINARY_DIR}/resources/
+		COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/resources/empty.xml ${CMAKE_CURRENT_BINARY_DIR}/resources/
 		COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/resources/utf8test.xml ${CMAKE_CURRENT_BINARY_DIR}/resources/
 		COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/resources/utf8testverify.xml ${CMAKE_CURRENT_BINARY_DIR}/resources/)
 endif(${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_BINARY_DIR})
@@ -37,11 +46,43 @@
 
 ################################
 # Add targets
-
-add_library(tinyxml2 STATIC tinyxml2.cpp tinyxml2.h)
+set(BUILD_STATIC_LIBS ON CACHE BOOL "Set to ON to build static libraries")
+if(BUILD_STATIC_LIBS)
+	add_library(tinyxml2static STATIC tinyxml2.cpp tinyxml2.h)
+	set_target_properties(tinyxml2static PROPERTIES OUTPUT_NAME tinyxml2)
+endif(BUILD_STATIC_LIBS)
+add_library(tinyxml2 SHARED tinyxml2.cpp tinyxml2.h)
+set_target_properties(tinyxml2 PROPERTIES
+        COMPILE_DEFINITIONS "TINYXML2_EXPORT"
+	VERSION "${GENERIC_LIB_VERSION}"
+	SOVERSION "${GENERIC_LIB_SOVERSION}")
 
 add_executable(test xmltest.cpp)
 add_dependencies(test tinyxml2)
 add_dependencies(test ${TARGET_DATA_COPY})
 target_link_libraries(test tinyxml2)
+
+
+if(BUILD_STATIC_LIBS)
+	install(TARGETS tinyxml2 tinyxml2static
+		RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
+else(BUILD_STATIC_LIBS)
+	install(TARGETS tinyxml2
+		RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
+endif(BUILD_STATIC_LIBS)
+install(FILES tinyxml2.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
+
+foreach(p LIB INCLUDE)
+	set(var CMAKE_INSTALL_${p}DIR)
+	if(NOT IS_ABSOLUTE "${${var}}")
+		set(${var} "${CMAKE_INSTALL_PREFIX}/${${var}}")
+	endif()
+endforeach()
+
+configure_file(tinyxml2.pc.in tinyxml2.pc @ONLY)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tinyxml2.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+
 #add_test(test ${SAMPLE_NAME} COMMAND $<TARGET_FILE:${SAMPLE_NAME}>)

## tinyxml2 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ################################
 # set lib version here
 
-set(GENERIC_LIB_VERSION "2.0.2")
+set(GENERIC_LIB_VERSION "2.1.0")
 set(GENERIC_LIB_SOVERSION "2")

=== debian/changelog ===
tinyxml2 (2.1.0-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1373049)

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 24 Sep 2014 09:58:44 +0100

tinyxml2 (2.1.0-1) unstable; urgency=medium

  * [5db3612] Imported Upstream version 2.1.0

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 13 Apr 2014 21:34:21 +0800

tinyxml2 (2.0.2-1) unstable; urgency=medium

  * [92a3ede] Add debian/watch that looks at github tags.
    Thanks to Octavio Alvarez
  * [e03135c] Imported Upstream version 2.0.2 (Closes: #738700)
  * [512de19] Renmae package for ABI change.
    We now finally have a SOVERSION
  * [82ad203] Drop patch -- applied upstream
  * [ab15c6f] Add .symbols file since we have a SOVERSION now
  * [9d6aa8f] Bump Standards-Version to 3.9.5 (no changes required)
  * [b7e9f94] Build with -fvisibility to control symbol exporting
  * [9e36237] Drop -DBUILD_SHARED_LIBS.
    Obsolete option
  * [f4bdfad] Pass -c4 to dpkg-gensymbols

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 20 Mar 2014 00:32:19 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                cmake
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://www.grinninglizard.com/tinyxml2/
 Vcs-Git: git://git.debian.org/collab-maint/tinyxml2.git
@@ -13,7 +13,7 @@
 Package: libtinyxml2-dev
 Section: libdevel
 Architecture: any
-Depends: libtinyxml2-0.0.0 (= ${binary:Version}),
+Depends: libtinyxml2-2 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -33,7 +33,7 @@
   - More modern C++, including a proper namespace
   - Proper and useful handling of whitespace
 
-Package: libtinyxml2-0.0.0
+Package: libtinyxml2-2
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/<project>-$1.tar.gz/" \
https://github.com/leethomason/tinyxml2/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## tinyxml2 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ################################
 # set lib version here
 
-set(GENERIC_LIB_VERSION "2.1.0")
+set(GENERIC_LIB_VERSION "2.2.0")
 set(GENERIC_LIB_SOVERSION "2")

=== debian/changelog ===
tinyxml2 (2.2.0-1.1ubuntu1) wily; urgency=medium

  * Rename libtinyxml2-2v5 to libtinyxml2-2v5, follow-up to the
    libstdc++6 ABI change.
  * Add Breaks/Replaces to the old package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jul 2015 12:18:09 +0200

tinyxml2 (2.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark a symbol as optional (GCC 5). Closes: #790290.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Jul 2015 17:51:50 +0200

tinyxml2 (2.2.0-1) unstable; urgency=medium

  * [ef813f9] Imported Upstream version 2.2.0
  * [bb3c2ec] Add new symbols
  * [1ab858d] Re-sort symbols file

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 21 Sep 2014 04:10:47 +0800

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: libtinyxml2-dev
 Section: libdevel
 Architecture: any
-Depends: libtinyxml2-2 (= ${binary:Version}),
+Depends: libtinyxml2-2v5 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -33,12 +33,14 @@
   - More modern C++, including a proper namespace
   - Proper and useful handling of whitespace
 
-Package: libtinyxml2-2
+Package: libtinyxml2-2v5
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: libtinyxml2-2
+Replaces: libtinyxml2-2
 Description: C++ XML parsing library
  This package contains the shared version of the TinyXML2 library.
  .

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -Bbuild --					\
-		-DBUILD_SHARED_LIBS=ON					\
 		-DBUILD_STATIC_LIBS=ON					\
 		-DCMAKE_INSTALL_LIBDIR:PATH=lib/$(DEB_HOST_MULTIARCH)
 
@@ -18,5 +17,8 @@
 override_dh_auto_clean:
 	rm -rf build
 
+override_dh_makeshlibs:
+	dh_makeshlibs -- -c4
+
 %:
 	dh $@

## tinyxml2 3.0.0

=== debian/changelog ===
tinyxml2 (3.0.0-2) unstable; urgency=medium

  * [37d01ac] Fix inconsistent line endings in header.
    This confuses emacs and makes it show the \r characters as ^M.
    (Closes: #817046)
  * [a60c31d] No-change bump of Standards-Version to 3.9.7

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 15 Mar 2016 04:15:44 +0800

tinyxml2 (3.0.0-1) experimental; urgency=low

  * [9496ce4] Imported Upstream version 2.3.0
  * [c778438] Update patches
  * [2489ff0] Drop -DBUILD_STATIC_LIBS=ON.
    The option was dropped upstream.
  * [e71af9e] Don't install static lib.
    Removed upstream.
  * [79e468b] Imported Upstream version 3.0.0
  * [f0d815a] Rename package for ABI bump
  * [802c41a] Bump version on new symbols and drop missing symbols.
    Upstream re-released 2.3.0 as 3.0.0 for the ABI bump, so update the symbol
    versions accordingly.
  * [a2149e1] Bump Standards-Version to 3.9.6
  * [054161c] Add Build-Conflicts on libssl1.0.0
    cmake won't launch with this installed.
  * [2704f0c] Mark vtable for tinyxml2::XMLVisitor optional.
    This class has no non-inline virtual members, so the vtable only shows up
    when built with noopt.

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 18 Mar 2015 10:18:23 +0800

tinyxml2 (2.2.0-2) UNRELEASED; urgency=medium

  * [16ea6e7] Import patch to fix nullptr dereference when printing malformed
    entities (Closes: #780153)
  * [0eb468f] Fix symbols file mismatch (Closes: #780156)
  * [506efb9] Mark inlined symbols as optional

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 16 Mar 2015 15:44:48 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                cmake
-Standards-Version: 3.9.5
+Build-Conflicts: libssl1.0.0 (= 1.0.2-1)
+Standards-Version: 3.9.7
 Section: libs
 Homepage: http://www.grinninglizard.com/tinyxml2/
 Vcs-Git: git://git.debian.org/collab-maint/tinyxml2.git
@@ -13,7 +14,7 @@
 Package: libtinyxml2-dev
 Section: libdevel
 Architecture: any
-Depends: libtinyxml2-2v5 (= ${binary:Version}),
+Depends: libtinyxml2-3 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -33,14 +34,12 @@
   - More modern C++, including a proper namespace
   - Proper and useful handling of whitespace
 
-Package: libtinyxml2-2v5
+Package: libtinyxml2-3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: libtinyxml2-2
-Replaces: libtinyxml2-2
 Description: C++ XML parsing library
  This package contains the shared version of the TinyXML2 library.
  .

## tinyxml2 4.0.1

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
                dpkg-dev (>= 1.16.1),
                cmake
 Build-Conflicts: libssl1.0.0 (= 1.0.2-1)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://www.grinninglizard.com/tinyxml2/
 Vcs-Git: git://git.debian.org/collab-maint/tinyxml2.git
@@ -14,7 +14,7 @@
 Package: libtinyxml2-dev
 Section: libdevel
 Architecture: any
-Depends: libtinyxml2-3 (= ${binary:Version}),
+Depends: libtinyxml2-4 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -34,7 +34,7 @@
   - More modern C++, including a proper namespace
   - Proper and useful handling of whitespace
 
-Package: libtinyxml2-3
+Package: libtinyxml2-4
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

## tinyxml2 5.0.1

=== debian/changelog ===
tinyxml2 (5.0.1-1) unstable; urgency=medium

  * [2013058] New upstream version 5.0.1
  * [12350d1] Use dh_auto_test for tests
  * [efc7bd2] Sort symbols file
  * [08edab1] Add new symbols

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 30 Jun 2017 02:02:07 +0800

tinyxml2 (5.0.0-1) unstable; urgency=medium

  * [6fd276b] New upstream version 5.0.0
  * [244028b] Drop upstreamed patches
  * [79ec582] Force cmake build system
    debhelper assumes normal Makefile due to the presence of a bare Makefile
  * [4b13f1f] Rename package for soname bump
  * [a8f2dd5] Update symbols file

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 22 Jun 2017 00:37:18 +0800

tinyxml2 (4.0.1-1) unstable; urgency=medium

  * [1f93ea0] Imported Upstream version 4.0.1
  * [eab7bb3] Refresh patches
  * [864825f] Fix segfault in test
  * [3fabcc2] Rename packages for new soname
  * [f15a244] Update symbols file
  * [40b2bc9] Bump Standards-Version to 3.9.8
  * [166c3f5] Make provisions for different int64_t types

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 14 Aug 2016 03:48:43 +0800

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: libtinyxml2-dev
 Section: libdevel
 Architecture: any
-Depends: libtinyxml2-4 (= ${binary:Version}),
+Depends: libtinyxml2-5 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -34,7 +34,7 @@
   - More modern C++, including a proper namespace
   - Proper and useful handling of whitespace
 
-Package: libtinyxml2-4
+Package: libtinyxml2-5
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

## tinyxml2 6.0.0+dfsg

=== Makefile ===
all: xmltest staticlib

rebuild: clean all

xmltest: xmltest.cpp libtinyxml2.a

effc:
	gcc -Werror -Wall -Wextra -Wshadow -Wpedantic -Wformat-nonliteral \
        -Wformat-security -Wswitch-default -Wuninitialized -Wundef \
        -Wpointer-arith -Woverloaded-virtual -Wctor-dtor-privacy \
        -Wnon-virtual-dtor -Woverloaded-virtual -Wsign-promo \
        -Wno-unused-parameter -Weffc++ xmltest.cpp tinyxml2.cpp -o xmltest

clean:
	$(RM) *.o xmltest libtinyxml2.a
	
test: clean xmltest
	./xmltest

staticlib: libtinyxml2.a

libtinyxml2.a: tinyxml2.o
	$(AR) $(ARFLAGS)s $@ $^
	
tinyxml2.o: tinyxml2.cpp tinyxml2.h

=== debian/changelog ===
tinyxml2 (6.0.0+dfsg-1) unstable; urgency=medium

  * [1dd1cea] Update symbols file
  * [688061d] Sort symbols file
  * [3fe600a] Change priority to optional
    extra is deprecated
  * [7738aec] Update Vcs-* fields to use https
  * [fca650d] Bump Standards-Version to 4.1.3
  * [fd8262b] Drop docs subdirectory (contains minified js files)
  * [570fbbc] New upstream version 6.0.0+dfsg
  * [ccac24b] New upstream version 6.0.0
  * [8187a19] Rename packages for soname bump

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 10 Jan 2018 00:30:20 +0800

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: tinyxml2
-Priority: extra
+Priority: optional
 Maintainer: Chow Loong Jin <hyperair@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                cmake
 Build-Conflicts: libssl1.0.0 (= 1.0.2-1)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Section: libs
 Homepage: http://www.grinninglizard.com/tinyxml2/
-Vcs-Git: git://git.debian.org/collab-maint/tinyxml2.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/tinyxml2.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/tinyxml2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tinyxml2.git
 
 Package: libtinyxml2-dev
 Section: libdevel
 Architecture: any
-Depends: libtinyxml2-5 (= ${binary:Version}),
+Depends: libtinyxml2-6 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -34,7 +34,7 @@
   - More modern C++, including a proper namespace
   - Proper and useful handling of whitespace
 
-Package: libtinyxml2-5
+Package: libtinyxml2-6
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

override_dh_auto_configure:
	dh_auto_configure -Bbuild -Scmake --			      \
		-DCMAKE_INSTALL_LIBDIR:PATH=lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	dh_auto_build -Bbuild -Scmake

override_dh_auto_install:
	dh_auto_install -Bbuild -Scmake

override_dh_auto_test:
	dh_auto_test -Bbuild -Scmake

override_dh_auto_clean:
	rm -rf build

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

%:
	dh $@

## tinyxml2 6.2.0+dfsg

=== debian/changelog ===
tinyxml2 (6.2.0+dfsg-2) unstable; urgency=medium

  * [7fdca1f] Rename package for abi break (Closes: #898535)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 30 Jul 2018 01:28:33 +0800

tinyxml2 (6.2.0+dfsg-1) unstable; urgency=medium

  * [3010f8e] New upstream version 6.2.0+dfsg
  * [ba30c86] Update symbols file with new symbols
  * [6923f8b] Port to salsa

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 20 Apr 2018 02:15:00 +0800

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Standards-Version: 4.1.3
 Section: libs
 Homepage: http://www.grinninglizard.com/tinyxml2/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/tinyxml2.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tinyxml2.git
+Vcs-Browser: https://salsa.debian.org/debian/tinyxml2
+Vcs-Git: https://salsa.debian.org/debian/tinyxml2.git
 
 Package: libtinyxml2-dev
 Section: libdevel
@@ -34,10 +34,12 @@
   - More modern C++, including a proper namespace
   - Proper and useful handling of whitespace
 
-Package: libtinyxml2-6
+Package: libtinyxml2-6a
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Provides: libtinyxml2-6
+Conflicts: libtinyxml2-6
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Description: C++ XML parsing library

## tinyxml2 7.0.0+dfsg

=== CMakeLists.txt ===
IF(BIICODE)
	ADD_BIICODE_TARGETS()
	if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/resources)
		file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/resources DESTINATION ${CMAKE_RUNTIME_OUTPUT_DIRECTORY})
    ENDIF()
    RETURN()
ENDIF(BIICODE)
cmake_minimum_required(VERSION 2.6 FATAL_ERROR)
cmake_policy(VERSION 2.6)
if(POLICY CMP0063)
	cmake_policy(SET CMP0063 OLD)
endif()

project(tinyxml2)
include(GNUInstallDirs)
include(CTest)
#enable_testing()

#CMAKE_BUILD_TOOL

################################
# set lib version here

set(GENERIC_LIB_VERSION "6.2.0")
set(GENERIC_LIB_SOVERSION "6")

################################
# Add definitions

set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DTINYXML2_DEBUG")

################################
# Add targets
# By Default shared libray is being built
# To build static libs also - Do cmake . -DBUILD_STATIC_LIBS:BOOL=ON
# User can choose not to build shared library by using cmake -DBUILD_SHARED_LIBS:BOOL=OFF
# To build only static libs use cmake . -DBUILD_SHARED_LIBS:BOOL=OFF -DBUILD_STATIC_LIBS:BOOL=ON
# To build the tests, use cmake . -DBUILD_TESTS:BOOL=ON
# To disable the building of the tests, use cmake . -DBUILD_TESTS:BOOL=OFF

option(BUILD_SHARED_LIBS "build as shared library" ON)
option(BUILD_STATIC_LIBS "build as static library" OFF)
option(BUILD_TESTS "build xmltest (deprecated: Use BUILD_TESTING)" ON)

set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

# to distinguish between debug and release lib
set(CMAKE_DEBUG_POSTFIX "d")

if(BUILD_SHARED_LIBS)
add_library(tinyxml2 SHARED tinyxml2.cpp tinyxml2.h)

set_target_properties(tinyxml2 PROPERTIES
        COMPILE_DEFINITIONS "TINYXML2_EXPORT"
	VERSION "${GENERIC_LIB_VERSION}"
	SOVERSION "${GENERIC_LIB_SOVERSION}")


if(DEFINED CMAKE_VERSION AND NOT "${CMAKE_VERSION}" VERSION_LESS "2.8.11")
    target_include_directories(tinyxml2 PUBLIC 
                          $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>
                          $<INSTALL_INTERFACE:${CMAKE_INSTALL_PREFIX}/include>)

    if(MSVC)
      target_compile_definitions(tinyxml2 PUBLIC -D_CRT_SECURE_NO_WARNINGS)
    endif(MSVC)
else()
    include_directories(${PROJECT_SOURCE_DIR})

    if(MSVC)
      add_definitions(-D_CRT_SECURE_NO_WARNINGS)
    endif(MSVC)
endif()

# export targets for find_package config mode
export(TARGETS tinyxml2
      FILE ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}Targets.cmake)

install(TARGETS tinyxml2
        EXPORT ${CMAKE_PROJECT_NAME}Targets
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif()

if(BUILD_STATIC_LIBS)
add_library(tinyxml2_static STATIC tinyxml2.cpp tinyxml2.h)
set_target_properties(tinyxml2_static PROPERTIES
        COMPILE_DEFINITONS "TINYXML2_EXPORT"
        VERSION "${GENERIC_LIB_VERSION}"
        SOVERSION "${GENERIC_LIB_SOVERSION}")
set_target_properties( tinyxml2_static PROPERTIES OUTPUT_NAME tinyxml2 )

target_compile_definitions(tinyxml2_static PUBLIC -D_CRT_SECURE_NO_WARNINGS)

if(DEFINED CMAKE_VERSION AND NOT "${CMAKE_VERSION}" VERSION_LESS "2.8.11")
    target_include_directories(tinyxml2_static PUBLIC 
                          $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>
                          $<INSTALL_INTERFACE:${CMAKE_INSTALL_PREFIX}/include>)

    if(MSVC)
      target_compile_definitions(tinyxml2_static PUBLIC -D_CRT_SECURE_NO_WARNINGS)
    endif(MSVC)
else()
    include_directories(${PROJECT_SOURCE_DIR})

    if(MSVC)
      add_definitions(-D_CRT_SECURE_NO_WARNINGS)
    endif(MSVC)
endif()

# export targets for find_package config mode
export(TARGETS tinyxml2_static
      FILE ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}Targets.cmake)

install(TARGETS tinyxml2_static
        EXPORT ${CMAKE_PROJECT_NAME}Targets
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif()

if(BUILD_TESTING AND BUILD_TESTS)
  add_executable(xmltest xmltest.cpp)
  if(BUILD_SHARED_LIBS)
    add_dependencies(xmltest tinyxml2)
    target_link_libraries(xmltest tinyxml2)
  else(BUILD_STATIC_LIBS)
    add_dependencies(xmltest tinyxml2_static)
    target_link_libraries(xmltest tinyxml2_static)
  endif()

  # Copy test resources and create test output directory
  add_custom_command(TARGET xmltest POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_SOURCE_DIR}/resources $<TARGET_FILE_DIR:xmltest>/resources
    COMMAND ${CMAKE_COMMAND} -E make_directory $<TARGET_FILE_DIR:xmltest>/resources/out
    COMMENT "Configuring xmltest resources directory: ${CMAKE_BINARY_DIR}/resources"
  )

  add_test(NAME xmltest COMMAND xmltest WORKING_DIRECTORY $<TARGET_FILE_DIR:xmltest>)
endif()

install(FILES tinyxml2.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

foreach(p LIB INCLUDE)
	set(var CMAKE_INSTALL_${p}DIR)
	if(NOT IS_ABSOLUTE "${${var}}")
		set(${var} "${CMAKE_INSTALL_PREFIX}/${${var}}")
	endif()
endforeach()

configure_file(tinyxml2.pc.in tinyxml2.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tinyxml2.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# uninstall target
if(NOT TARGET uninstall)
  configure_file(
      "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
      "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
      IMMEDIATE @ONLY)

  add_custom_target(uninstall
      COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
endif()

file(WRITE
    ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}Config.cmake
    "include(\${CMAKE_CURRENT_LIST_DIR}/${CMAKE_PROJECT_NAME}Targets.cmake)\n")

install(FILES
        ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}Config.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${CMAKE_PROJECT_NAME})

install(EXPORT ${CMAKE_PROJECT_NAME}Targets
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${CMAKE_PROJECT_NAME})

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,25 @@
+# For GNU conventions and targets see https://www.gnu.org/prep/standards/standards.html
+# Using GNU standards makes it easier for some users to keep doing what they are used to.
+
+# 'mkdir -p' is non-portable, but it is widely supported. A portable solution
+# is elusive due to race conditions on testing the directory and creating it.
+# Anemic toolchain users can sidestep the problem using MKDIR="mkdir".
+
+AR = ar
+ARFLAGS = cr
+RM = rm -f
+RANLIB = ranlib
+MKDIR = mkdir -p
+
+INSTALL = install
+INSTALL_PROGRAM = $(INSTALL)
+INSTALL_DATA = $(INSTALL) -m 644
+
+prefix = /usr/local
+bindir = $(prefix)/bin
+libdir = $(prefix)/lib
+includedir = $(prefix)/include
+
 all: xmltest staticlib
 
 rebuild: clean all
@@ -12,15 +34,41 @@
         -Wno-unused-parameter -Weffc++ xmltest.cpp tinyxml2.cpp -o xmltest
 
 clean:
-	$(RM) *.o xmltest libtinyxml2.a
-	
+	-$(RM) *.o xmltest libtinyxml2.a
+
+# Standard GNU target
+distclean:
+	-$(RM) *.o xmltest libtinyxml2.a
+
 test: clean xmltest
+	./xmltest
+
+# Standard GNU target
+check: clean xmltest
 	./xmltest
 
 staticlib: libtinyxml2.a
 
 libtinyxml2.a: tinyxml2.o
-	$(AR) $(ARFLAGS)s $@ $^
-	
+	$(AR) $(ARFLAGS) $@ $^
+	$(RANLIB) $@
+
 tinyxml2.o: tinyxml2.cpp tinyxml2.h
 
+directories:
+	$(MKDIR) $(DESTDIR)$(prefix)
+	$(MKDIR) $(DESTDIR)$(bindir)
+	$(MKDIR) $(DESTDIR)$(libdir)
+	$(MKDIR) $(DESTDIR)$(includedir)
+
+# Standard GNU target.
+install: xmltest staticlib directories
+	$(INSTALL_PROGRAM) xmltest $(DESTDIR)$(bindir)/xmltest
+	$(INSTALL_DATA) tinyxml2.h $(DESTDIR)$(includedir)/tinyxml2.h
+	$(INSTALL_DATA) libtinyxml2.a $(DESTDIR)$(libdir)/libtinyxml2.a
+
+# Standard GNU target
+uninstall:
+	$(RM) $(DESTDIR)$(bindir)/xmltest
+	$(RM) $(DESTDIR)$(includedir)/tinyxml2.h
+	$(RM) $(DESTDIR)$(libdir)/libtinyxml2.a

=== debian/changelog ===
tinyxml2 (7.0.0+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:27:50 +0100

tinyxml2 (7.0.0+dfsg-1) unstable; urgency=medium

  * [8d89e51] New upstream version 7.0.0+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 14 Nov 2018 11:38:27 +0800

tinyxml2 (6.2.0+dfsg-3) unstable; urgency=medium

  * [a9d33cd] Pass -B and -S flags directly to dh instead
  * [beb4c14] Fix libtinyxml2-dev dependency on libtinyxml2-6a

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 04 Aug 2018 20:03:32 +0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

override_dh_auto_configure:
	dh_auto_configure -Bbuild -Scmake --			      \
		-DCMAKE_INSTALL_LIBDIR:PATH=lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_clean:
	rm -rf build

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

%:
	dh $@ -Bbuild -Scmake

## tinyxml2 7.0.1+dfsg

=== CMakeLists.txt ===
IF(BIICODE)
	ADD_BIICODE_TARGETS()
	if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/resources)
		file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/resources DESTINATION ${CMAKE_RUNTIME_OUTPUT_DIRECTORY})
    ENDIF()
    RETURN()
ENDIF(BIICODE)
cmake_minimum_required(VERSION 2.6 FATAL_ERROR)
cmake_policy(VERSION 2.6)
if(POLICY CMP0063)
	cmake_policy(SET CMP0063 OLD)
endif()

project(tinyxml2)
include(GNUInstallDirs)
include(CTest)
#enable_testing()

#CMAKE_BUILD_TOOL

################################
# set lib version here

set(GENERIC_LIB_VERSION "7.0.1")
set(GENERIC_LIB_SOVERSION "7")

################################
# Add definitions

################################
# Add targets
# By Default shared library is being built
# To build static libs also - Do cmake . -DBUILD_STATIC_LIBS:BOOL=ON
# User can choose not to build shared library by using cmake -DBUILD_SHARED_LIBS:BOOL=OFF
# To build only static libs use cmake . -DBUILD_SHARED_LIBS:BOOL=OFF -DBUILD_STATIC_LIBS:BOOL=ON
# To build the tests, use cmake . -DBUILD_TESTS:BOOL=ON
# To disable the building of the tests, use cmake . -DBUILD_TESTS:BOOL=OFF

option(BUILD_SHARED_LIBS "build as shared library" ON)
option(BUILD_TESTS "build xmltest (deprecated: Use BUILD_TESTING)" ON)

# To allow using tinyxml in another shared library
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

# to distinguish between debug and release lib
set(CMAKE_DEBUG_POSTFIX "d")

add_library(tinyxml2 tinyxml2.cpp tinyxml2.h)

set_target_properties(tinyxml2 PROPERTIES
        COMPILE_DEFINITIONS "TINYXML2_EXPORT"
	VERSION "${GENERIC_LIB_VERSION}"
	SOVERSION "${GENERIC_LIB_SOVERSION}")

target_compile_definitions(tinyxml2 PUBLIC $<$<CONFIG:Debug>:TINYXML2_DEBUG>)

if(DEFINED CMAKE_VERSION AND NOT "${CMAKE_VERSION}" VERSION_LESS "2.8.11")
    target_include_directories(tinyxml2 PUBLIC 
                          $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>
                          $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)

    if(MSVC)
      target_compile_definitions(tinyxml2 PUBLIC -D_CRT_SECURE_NO_WARNINGS)
    endif(MSVC)
else()
    include_directories(${PROJECT_SOURCE_DIR})

    if(MSVC)
      add_definitions(-D_CRT_SECURE_NO_WARNINGS)
    endif(MSVC)
endif()

# export targets for find_package config mode
export(TARGETS tinyxml2
      FILE ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}Targets.cmake)

install(TARGETS tinyxml2
        EXPORT ${CMAKE_PROJECT_NAME}Targets
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

if(BUILD_TESTING AND BUILD_TESTS)
  add_executable(xmltest xmltest.cpp)
  add_dependencies(xmltest tinyxml2)
  target_link_libraries(xmltest tinyxml2)

  # Copy test resources and create test output directory
  add_custom_command(TARGET xmltest POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/resources $<TARGET_FILE_DIR:xmltest>/resources
    COMMAND ${CMAKE_COMMAND} -E make_directory $<TARGET_FILE_DIR:xmltest>/resources/out
    COMMENT "Configuring xmltest resources directory: ${CMAKE_CURRENT_BINARY_DIR}/resources"
  )

  add_test(NAME xmltest COMMAND xmltest WORKING_DIRECTORY $<TARGET_FILE_DIR:xmltest>)
endif()

install(FILES tinyxml2.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

configure_file(tinyxml2.pc.in tinyxml2.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tinyxml2.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# uninstall target
if(NOT TARGET uninstall)
  configure_file(
      "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
      "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
      IMMEDIATE @ONLY)

  add_custom_target(uninstall
      COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
endif()

include(CMakePackageConfigHelpers)
set(TARGETS_EXPORT_NAME "${PROJECT_NAME}Targets")
configure_package_config_file(
  "Config.cmake.in"
  "${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}Config.cmake"
  INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${CMAKE_PROJECT_NAME}"
)
install(FILES
        ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}Config.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${CMAKE_PROJECT_NAME})

install(EXPORT ${CMAKE_PROJECT_NAME}Targets NAMESPACE tinyxml2::
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${CMAKE_PROJECT_NAME})

=== debian/changelog ===
tinyxml2 (7.0.1+dfsg-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * [e3840d2] d/copyright: Use https protocol in Format field

  [ Chow Loong Jin ]
  * [ee81729] New upstream version 7.0.1+dfsg
  * [7973939] Rename packages for new soname
  * [a76573b] Add new symbols

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 28 Dec 2018 04:09:32 +0800

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: libtinyxml2-dev
 Section: libdevel
 Architecture: any
-Depends: libtinyxml2-6 (= ${binary:Version}),
+Depends: libtinyxml2-7 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -34,7 +34,7 @@
   - More modern C++, including a proper namespace
   - Proper and useful handling of whitespace
 
-Package: libtinyxml2-6a
+Package: libtinyxml2-7
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

## tinyxml2 8.0.0%2Bdfsg

=== debian/changelog ===
tinyxml2 (8.0.0+dfsg-2) unstable; urgency=medium

  * Reupload to unstable

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 14 May 2020 11:34:35 +0800

tinyxml2 (8.0.0+dfsg-1) experimental; urgency=medium

  * [b3cd7aa] New upstream version 8.0.0+dfsg
  * [d240940] Update package name for SONAME bump
  * [cb5c220] Update symbols file
  * [a54d3e9] Bump debhelper compat to 12
  * [08758ba] Drop provides/conflicts of libtinyxml2-6
  * [2a9c94c] Patch to fix first line indentation
  * [4a376e3] Set visibility to hidden for private functions.
    They're not going to be called outside the library anyway.
  * [d9a2fb9] Drop private symbols from symbols file
  * [48ab0ec] Reset symbol versions to 8.0.0.
    We have a new ABI, no point sticking to the old versions

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 10 Apr 2020 22:04:35 +0800

## tinyxml2 8.0.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,8 +21,8 @@
 ################################
 # set lib version here
 
-set(GENERIC_LIB_VERSION "7.0.1")
-set(GENERIC_LIB_SOVERSION "7")
+set(GENERIC_LIB_VERSION "8.0.0")
+set(GENERIC_LIB_SOVERSION "8")
 
 ################################
 # Add definitions
@@ -79,9 +79,15 @@
 
 install(TARGETS tinyxml2
         EXPORT ${CMAKE_PROJECT_NAME}Targets
-        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
-        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
-        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
+        RUNTIME 
+                DESTINATION ${CMAKE_INSTALL_BINDIR}
+                COMPONENT tinyxml2_runtime
+        LIBRARY 
+                DESTINATION ${CMAKE_INSTALL_LIBDIR}
+                COMPONENT tinyxml2_libraries
+        ARCHIVE 
+                DESTINATION ${CMAKE_INSTALL_LIBDIR}
+                COMPONENT tinyxml2_libraries)
 
 if(BUILD_TESTING AND BUILD_TESTS)
   add_executable(xmltest xmltest.cpp)
@@ -98,10 +104,10 @@
   add_test(NAME xmltest COMMAND xmltest WORKING_DIRECTORY $<TARGET_FILE_DIR:xmltest>)
 endif()
 
-install(FILES tinyxml2.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
+install(FILES tinyxml2.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} COMPONENT tinyxml2_headers)
 
 configure_file(tinyxml2.pc.in tinyxml2.pc @ONLY)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tinyxml2.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tinyxml2.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig COMPONENT tinyxml2_config)
 
 # uninstall target
 if(NOT TARGET uninstall)
@@ -121,9 +127,17 @@
   "${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}Config.cmake"
   INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${CMAKE_PROJECT_NAME}"
 )
+write_basic_package_version_file(
+  "${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}ConfigVersion.cmake"
+  VERSION ${GENERIC_LIB_VERSION}
+  COMPATIBILITY SameMajorVersion
+)
 install(FILES
         ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}Config.cmake
-        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${CMAKE_PROJECT_NAME})
+        ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}ConfigVersion.cmake
+        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${CMAKE_PROJECT_NAME}
+        COMPONENT tinyxml2_config)
 
 install(EXPORT ${CMAKE_PROJECT_NAME}Targets NAMESPACE tinyxml2::
-        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${CMAKE_PROJECT_NAME})
+        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${CMAKE_PROJECT_NAME}
+        COMPONENT tinyxml2_config)

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 RM = rm -f
 RANLIB = ranlib
 MKDIR = mkdir -p
+CXXFLAGS = -fPIC
 
 INSTALL = install
 INSTALL_PROGRAM = $(INSTALL)

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tinyxml2
 Priority: optional
 Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1),
                cmake
 Build-Conflicts: libssl1.0.0 (= 1.0.2-1)
@@ -14,7 +14,7 @@
 Package: libtinyxml2-dev
 Section: libdevel
 Architecture: any
-Depends: libtinyxml2-7 (= ${binary:Version}),
+Depends: libtinyxml2-8 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -34,12 +34,10 @@
   - More modern C++, including a proper namespace
   - Proper and useful handling of whitespace
 
-Package: libtinyxml2-7
+Package: libtinyxml2-8
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: libtinyxml2-6
-Conflicts: libtinyxml2-6
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Description: C++ XML parsing library

## tinyxml2 8.1.0+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
project(tinyxml2 VERSION 8.1.0)

include(CTest)
option(tinyxml2_BUILD_TESTING "Build tests for tinyxml2" "${BUILD_TESTING}")

##
## Honor tinyxml2_SHARED_LIBS to match install interface
##

if (DEFINED tinyxml2_SHARED_LIBS)
    set(BUILD_SHARED_LIBS "${tinyxml2_SHARED_LIBS}")
endif ()

##
## Main library build
##

set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN YES)

add_library(tinyxml2 tinyxml2.cpp tinyxml2.h)
add_library(tinyxml2::tinyxml2 ALIAS tinyxml2)

# Uncomment the following line to require C++11 (or greater) to use tinyxml2
# target_compile_features(tinyxml2 PUBLIC cxx_std_11)
target_include_directories(tinyxml2 PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>")

target_compile_definitions(
    tinyxml2
    PUBLIC $<$<CONFIG:Debug>:TINYXML2_DEBUG>
    INTERFACE $<$<BOOL:${BUILD_SHARED_LIBS}>:TINYXML2_IMPORT>
    PRIVATE $<$<CXX_COMPILER_ID:MSVC>:_CRT_SECURE_NO_WARNINGS>
)

set_target_properties(
    tinyxml2
    PROPERTIES
    DEFINE_SYMBOL "TINYXML2_EXPORT"
    VERSION "${tinyxml2_VERSION}"
    SOVERSION "${tinyxml2_VERSION_MAJOR}"
)

if (tinyxml2_BUILD_TESTING)
    add_executable(xmltest xmltest.cpp)
    target_link_libraries(xmltest PRIVATE tinyxml2::tinyxml2)

    add_test(
        NAME xmltest
        COMMAND xmltest
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    )

    set_tests_properties(xmltest PROPERTIES PASS_REGULAR_EXPRESSION ", Fail 0")
endif ()

##
## Installation
##

## Standard modules
include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

## Custom locations
set(tinyxml2_INSTALL_PKGCONFIGDIR "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
    CACHE PATH "Directory for pkgconfig files")

set(tinyxml2_INSTALL_CMAKEDIR "${CMAKE_INSTALL_LIBDIR}/cmake/tinyxml2"
    CACHE STRING "Path to tinyxml2 CMake files")

## CMake targets and export scripts

install(
    TARGETS tinyxml2 EXPORT tinyxml2-targets
    RUNTIME COMPONENT tinyxml2_runtime
    LIBRARY COMPONENT tinyxml2_runtime
    NAMELINK_COMPONENT tinyxml2_development
    ARCHIVE COMPONENT tinyxml2_development
    INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
)

# Type-specific targets

if (BUILD_SHARED_LIBS)
    set(type shared)
else ()
    set(type static)
endif ()

install(
    EXPORT tinyxml2-targets
    DESTINATION "${tinyxml2_INSTALL_CMAKEDIR}"
    NAMESPACE tinyxml2::
    FILE tinyxml2-${type}-targets.cmake
    COMPONENT tinyxml2_development
)

# Auto-generated version compatibility file
write_basic_package_version_file(
    tinyxml2-config-version.cmake
    COMPATIBILITY SameMajorVersion
)

install(
    FILES
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/tinyxml2-config.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/tinyxml2-config-version.cmake"
    DESTINATION "${tinyxml2_INSTALL_CMAKEDIR}"
    COMPONENT tinyxml2_development
)

## Headers

install(
    FILES tinyxml2.h
    TYPE INCLUDE
    COMPONENT tinyxml2_development
)

## pkg-config

configure_file(cmake/tinyxml2.pc.in tinyxml2.pc.gen @ONLY)
file(GENERATE OUTPUT tinyxml2.pc INPUT "${CMAKE_CURRENT_BINARY_DIR}/tinyxml2.pc.gen")
install(
    FILES "${CMAKE_CURRENT_BINARY_DIR}/tinyxml2.pc"
    DESTINATION "${tinyxml2_INSTALL_PKGCONFIGDIR}"
    COMPONENT tinyxml2_development
)

## tinyxml2 8.1.0+really8.0.0+dfsg

=== debian/changelog ===
tinyxml2 (8.1.0+really8.0.0+dfsg-1) unstable; urgency=medium

  * [054e407] Revert to upstream version 8.0.0 due to abi break in 8.1.0
  * [e68c25c] Revert debian/* to state at 8.0.0+dfsg-2

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 05 Jun 2021 16:53:02 +0800

tinyxml2 (8.1.0+dfsg-1) unstable; urgency=medium

  * [6d141b5] New upstream version 8.1.0+dfsg
  * [21e8389] Refresh patches and drop upstreamed ones
  * [d119eea] Add option to build shared libs.
    Seems to be opt-in now
  * [ce08079] Update symbols file for new symbol

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 20 May 2021 01:16:05 +0800

## tinyxml2 9.0.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -41,11 +41,11 @@
 distclean:
 	-$(RM) *.o xmltest libtinyxml2.a
 
-test: clean xmltest
+test: xmltest
 	./xmltest
 
 # Standard GNU target
-check: clean xmltest
+check: xmltest
 	./xmltest
 
 staticlib: libtinyxml2.a

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: libtinyxml2-dev
 Section: libdevel
 Architecture: any
-Depends: libtinyxml2-8 (= ${binary:Version}),
+Depends: libtinyxml2-9 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -34,7 +34,7 @@
   - More modern C++, including a proper namespace
   - Proper and useful handling of whitespace
 
-Package: libtinyxml2-8
+Package: libtinyxml2-9
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

## tinyxml2 10.0.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: tinyxml2
 Priority: optional
 Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dpkg-dev (>= 1.16.1),
+Build-Depends: debhelper-compat (= 13),
                cmake
 Build-Conflicts: libssl1.0.0 (= 1.0.2-1)
 Standards-Version: 4.1.3
 Section: libs
-Homepage: http://www.grinninglizard.com/tinyxml2/
+Homepage: https://www.grinninglizard.com/tinyxml2/
 Vcs-Browser: https://salsa.debian.org/debian/tinyxml2
 Vcs-Git: https://salsa.debian.org/debian/tinyxml2.git
 
 Package: libtinyxml2-dev
 Section: libdevel
 Architecture: any
-Depends: libtinyxml2-9 (= ${binary:Version}),
+Depends: libtinyxml2-10 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -34,8 +33,7 @@
   - More modern C++, including a proper namespace
   - Proper and useful handling of whitespace
 
-Package: libtinyxml2-9
-Section: libs
+Package: libtinyxml2-10
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
